# How to Contribute

The contribution guideline is derived from the SlimPHP, Istanbul Code Coverage and Ruby contribution guideline

## Contributor Behavior

Be kind to one another. We're striving to make Conventional Commits an inclusive environment that's great for first time open-source contributors.

tldr; we value constructive community interaction, over technical acumen.

## Pull Requests

Conventional Commits use the [GitHub flow](https://guides.github.com/introduction/flow/) as main versioning workflow

1. Fork the Conventional Commits repository
2. Create a new branch for each feature, fix or improvement
3. Send a pull request from each feature branch to the **master** branch

It is very important to separate new features or improvements into separate feature branches, and to send a
pull request for each branch.

This allow us to review and pull in new features or improvements individually.

## Style Guide

All pull requests SHOULD adhere to the [Conventional Commits specification](https://conventionalcommits.org/)

## License

You must agree that your patch will be licensed under the Conventional Commit License, and when we change the license we will assume that you agreed with the change unless you object to the changes in time.