"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _cssToObj = _interopRequireDefault(require("../../utils/css-to-obj"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var layoutTypes = {
  absolute: 'AbsoluteLayout',
  dock: 'DockLayout',
  flex: 'FlexboxLayout',
  grid: 'GridLayout',
  stack: 'StackLayout',
  wrap: 'WrapLayout'
};
layoutTypes.block = layoutTypes.stack;
layoutTypes["default"] = layoutTypes.stack;
var _default = {
  name: 'div',
  props: {
    lStyle: {
      type: [String, Object]
    }
  },
  computed: {
    layoutName: function layoutName() {
      return layoutTypes[this.layoutStyle.display];
    },
    layoutStyle: function layoutStyle() {
      var customLayoutStyle = {};
      var defaultLayoutStyle = {
        display: 'block'
      };

      if (this.lStyle) {
        customLayoutStyle = (0, _cssToObj["default"])(this.lStyle);
      }

      return _objectSpread({}, defaultLayoutStyle, {}, customLayoutStyle);
    }
  },
  render: function render(h) {
    return h(this.layoutName, {
      props: this.layoutStyle,
      attrs: this.layoutStyle
    }, this.$slots["default"]);
  }
};
exports["default"] = _default;